<script lang="ts" setup>
defineProps<{
  title: string;
  subtitle: string;
  icon: string | null;
}>();

import oursopoly from "@/assets/oursopoly-square.webp";
</script>

<template>
  <div
    class="p-1 lg:p-3 bg-theme-background-accent rounded-lg shadow hover:ring-2 ring-offset-2 ring-offset-theme-background ring-theme-accent cursor-pointer flex flex-grow justify-between"
  >
    <div class="p-1 flex justify-center items-center">
      <v-avatar size="60">
        <v-img :src="icon ?? oursopoly" aspect-ratio="1" cover />
      </v-avatar>
    </div>
    <div class="flex flex-grow flex-col justify-center mx-3">
      <h2 class="text-center uppercase text-base">{{ title }}</h2>
      <div class="flex items-center justify-center">
        <p class="text-theme-accent text-sm text-center mx-3">{{ subtitle }}</p>
      </div>
    </div>
  </div>
</template>

<style scoped></style>
